﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace NAND_Extractor
{
    public partial class NandKey : Form
    {
        public NandKey()
        {
            InitializeComponent();
        }

        private void textBox_TextChanged(object sender, EventArgs e)
        {
            int i = textBox.SelectionStart;
            textBox.Text = textBox.Text.Replace(" ", string.Empty);
            textBox.Text = textBox.Text.Replace("-", string.Empty);

            if (i > 0)
                textBox.SelectionStart = i;
        }

        private void buttonOk_Click(object sender, EventArgs e)
        {
            if (textBox.Text.Length == 32)
            {
                Properties.Settings.Default.nand_key = textBox.Text;
                Properties.Settings.Default.Save();
                this.Close();
            }
            else
                nandExtractor.msg_Error("Your NAND Key is the wrong length.  It should be 32 characters long.  Please check your key and try again.");
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
